Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class ScribeRegrTest.TestScribePolicy

    java.lang.Object
      rice.p2p.scribe.ScribePolicy.DefaultScribePolicy
          rice.p2p.scribe.testing.ScribeRegrTest.TestScribePolicy

All Implemented Interfaces:
  ScribePolicy

Enclosing class:
  ScribeRegrTest

public class ScribeRegrTest.TestScribePolicy
extends ScribePolicy.DefaultScribePolicy

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Nested Class Summary

Nested classes inherited from class rice.p2p.scribe.ScribePolicy
`ScribePolicy.DefaultScribePolicy, ScribePolicy.LimitedScribePolicy`

Field Summary
`protected boolean` | `allowSubscribe` DESCRIBE THE FIELD
`protected boolean` | `neverAllowSubscribe` DESCRIBE THE FIELD
`protected Scribe` | `scribe` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.scribe.ScribePolicy.DefaultScribePolicy
`random`

Constructor Summary
`ScribeRegrTest.TestScribePolicy(Scribe scribe)` Constructor for TestScribePolicy.

Method Summary
`void` | `allowSubscribe(boolean allowSubscribe)` DESCRIBE THE METHOD
`boolean` | `allowSubscribe(SubscribeMessage message, ScribeClient[] clients, NodeHandle[] children)` DESCRIBE THE METHOD
`void` | `neverAllowSubscribe(boolean neverAllowSubscribe)` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.scribe.ScribePolicy.DefaultScribePolicy
`childAdded, childRemoved, directAnycast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scribe

    protected Scribe scribe

  DESCRIBE THE FIELD

### allowSubscribe

    protected boolean allowSubscribe

  DESCRIBE THE FIELD

### neverAllowSubscribe

    protected boolean neverAllowSubscribe

  DESCRIBE THE FIELD

Constructor Detail

### ScribeRegrTest.TestScribePolicy

    public ScribeRegrTest.TestScribePolicy(Scribe scribe)

  Constructor for TestScribePolicy.

Parameters:
  `scribe` - DESCRIBE THE PARAMETER

Method Detail

### allowSubscribe

    public void allowSubscribe(boolean allowSubscribe)

  DESCRIBE THE METHOD

  Parameters:
    `allowSubscribe` - DESCRIBE THE PARAMETER

### neverAllowSubscribe

    public void neverAllowSubscribe(boolean neverAllowSubscribe)

  DESCRIBE THE METHOD

  Parameters:
    `neverAllowSubscribe` - DESCRIBE THE PARAMETER

### allowSubscribe

    public boolean allowSubscribe(SubscribeMessage message,
                                  ScribeClient[] clients,
                                  NodeHandle[] children)

  DESCRIBE THE METHOD

  Specified by:
    `allowSubscribe` in interface `ScribePolicy`
  Overrides:
    `allowSubscribe` in class `ScribePolicy.DefaultScribePolicy`
  Parameters:
    `message` - DESCRIBE THE PARAMETER
    `clients` - DESCRIBE THE PARAMETER
    `children` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.